Bug 1982320 (CVE-2021-3648)

Summary: CVE-2021-3648 binutils: infinite loop while demangling rust symbols
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED DUPLICATE QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: ailan, aoliva, caswilli, dvlasenk, elima, erik-fedora, fidencio, fweimer, jakub, kaycoth, klember, ktietz, manisandro, marcandre.lureau, mcermak, mnewsome, mpolacek, mprchlik, nickc, ohudlick, rjones, sipoyare, virt-maint, vmugicag
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-07-21 18:34:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1982321, 1982322    
Bug Blocks: 1977814, 1982323    

Description Guilherme de Almeida Suckevicz 2021-07-14 17:05:10 UTC
A flaw was discovered in GNU libiberty as distributed in GNU Binutils version 2.36.50. A crafted file can cause an infinite loop leading to a stack overflow and crash.

Reference:
https://gcc.gnu.org/bugzilla/show_bug.cgi?id=100968

Comment 1 Guilherme de Almeida Suckevicz 2021-07-14 17:05:47 UTC
Created binutils tracking bugs for this issue:

Affects: fedora-all [bug 1982321]


Created mingw-binutils tracking bugs for this issue:

Affects: fedora-all [bug 1982322]

Comment 3 Nick Clifton 2021-07-15 13:33:54 UTC
Note - the upstream PR may in fact be a duplicate of:

  https://gcc.gnu.org/bugzilla/show_bug.cgi?id=99935

The patch attached to that PR also fixes 100968.

Comment 6 Todd Cullum 2021-07-21 18:34:50 UTC

*** This bug has been marked as a duplicate of bug 1956423 ***